com.google.appengine.api.search

## Class GetRequest.Builder

- java.lang.Object
- - com.google.appengine.api.search.GetRequest.Builder

- Enclosing class:
    GetRequest

      public static class GetRequest.Builder
      extends java.lang.Object

  The builder of `GetRequest`s.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetRequest` | `build()`
    `GetRequest.Builder` | `setIncludeStart(boolean includeStart)` Sets whether or not to include the object whose ID is specified via the `setStartId(String)` method.
    `GetRequest.Builder` | `setLimit(java.lang.Integer limit)` Sets the maximum number of objects to return.
    `GetRequest.Builder` | `setReturningIdsOnly(boolean returningIdsOnly)` Sets whether just objects containing just their key are returned, or whether the complete objects are returned.
    `GetRequest.Builder` | `setStartId(java.lang.String startId)` Sets the Id of the first object to return.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setStartId

          public GetRequest.Builder setStartId(java.lang.String startId)

      Sets the Id of the first object to return. You may exclude this object by using the `setIncludeStart(boolean)` method.
      Parameters:
        `startId` - the Id of the first object to return
      Returns:
        this builder
      Throws:
        `java.lang.IllegalArgumentException` - if invalid object Id is given

    - #### setIncludeStart

          public GetRequest.Builder setIncludeStart(boolean includeStart)

      Sets whether or not to include the object whose ID is specified via the `setStartId(String)` method.
      Parameters:
        `includeStart` - whether or not to return the start index
      Returns:
        this builder

    - #### setLimit

          public GetRequest.Builder setLimit(java.lang.Integer limit)

      Sets the maximum number of objects to return.
      Parameters:
        `limit` - the maximum number of objects to return
      Returns:
        this builder
      Throws:
        `java.lang.IllegalArgumentException` - if negative or too large limit is given

    - #### setReturningIdsOnly

          public GetRequest.Builder setReturningIdsOnly(boolean returningIdsOnly)

      Sets whether just objects containing just their key are returned, or whether the complete objects are returned.
      Parameters:
        `returningIdsOnly` - whether to only return object keys
      Returns:
        this builder

    - #### build

          public GetRequest build()

      Returns:
        builds and returns a brand new instance of a `GetRequest` using values set on this builder